# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):
    def forwards(self, orm):
        # Adding index on 'Release', fields ['active']
        db.create_index(u'sheet_release', ['active'])

        # Adding index on 'Stage', fields ['active']
        db.create_index(u'sheet_stage', ['active'])

        # Adding index on 'Build', fields ['active']
        db.create_index(u'sheet_build', ['active'])


    def backwards(self, orm):
        # Removing index on 'Build', fields ['active']
        db.delete_index(u'sheet_build', ['active'])

        # Removing index on 'Stage', fields ['active']
        db.delete_index(u'sheet_stage', ['active'])

        # Removing index on 'Release', fields ['active']
        db.delete_index(u'sheet_release', ['active'])


    models = {
        u'sheet.build': {
            'Meta': {'object_name': 'Build'},
            'active': ('django.db.models.fields.BooleanField', [],
                       {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [],
                         {'auto_now': 'True', 'blank': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [],
                {'max_length': '255'}),
            'release': ('django.db.models.fields.related.ForeignKey', [],
                        {'related_name': "'builds'",
                         'to': u"orm['sheet.Release']"}),
            'status': (
                'django.db.models.fields.CharField', [], {'max_length': '16'})
        },
        u'sheet.release': {
            'Meta': {'object_name': 'Release'},
            'active': ('django.db.models.fields.BooleanField', [],
                       {'default': 'True', 'db_index': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [],
                         {'auto_now': 'True', 'blank': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'sheet.stage': {
            'Meta': {'object_name': 'Stage'},
            'active': ('django.db.models.fields.BooleanField', [],
                       {'default': 'True', 'db_index': 'True'}),
            'build': ('django.db.models.fields.related.ForeignKey', [],
                      {'related_name': "'stages'",
                       'to': u"orm['sheet.Build']"}),
            'created': ('django.db.models.fields.DateTimeField', [],
                        {'auto_now_add': 'True', 'blank': 'True'}),
            u'id': (
                'django.db.models.fields.AutoField', [],
                {'primary_key': 'True'}),
            'modified': ('django.db.models.fields.DateTimeField', [],
                         {'auto_now': 'True', 'blank': 'True'}),
            'name': (
                'django.db.models.fields.CharField', [],
                {'max_length': '255'}),
            'url': ('django.db.models.fields.CharField', [],
                    {'default': "''", 'max_length': '255', 'null': 'True',
                     'blank': 'True'}),
            'value': (
                'django.db.models.fields.CharField', [], {'max_length': '255'})
        }
    }

    complete_apps = ['sheet']